# Uses of Class
org.eclipse.mat.query.registry.QueryDescriptor

Packages that use QueryDescriptor
Package
Description
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.ui
User interface plug-in definitions and query execution for UI components (not API).
org.eclipse.mat.ui.internal.actions
Trigger queries from tool bar or from context menu - user interface (not API).
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of QueryDescriptor in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return QueryDescriptor
Modifier and Type
Method
Description
`QueryDescriptor`
QueryRegistry.`getQuery(Class<? extends IQuery> query)`
`QueryDescriptor`
QueryRegistry.`getQuery(String name)`
`QueryDescriptor`
QueryResult.`getQuery()`
`QueryDescriptor`
ArgumentSet.`getQueryDescriptor()`
Methods in org.eclipse.mat.query.registry that return types with arguments of type QueryDescriptor
Modifier and Type
Method
Description
`List<QueryDescriptor>`
QueryDescriptor.`getMenuEntries()`
`List<QueryDescriptor>`
CategoryDescriptor.`getQueries()`
`Collection<QueryDescriptor>`
QueryRegistry.`getQueries()`
`List<QueryDescriptor>`
QueryRegistry.`getQueries(Pattern pattern)`
Methods in org.eclipse.mat.query.registry with parameters of type QueryDescriptor
Modifier and Type
Method
Description
`void`
CategoryDescriptor.`add(QueryDescriptor descriptor)`
Constructors in org.eclipse.mat.query.registry with parameters of type QueryDescriptor
Modifier
Constructor
Description
``
`QueryResult(QueryDescriptor query, String command, IResult subject)`
``
`QueryResult(QueryResult parent, QueryDescriptor query, String command, IResult subject)`

## Uses of QueryDescriptor in org.eclipse.mat.ui

Methods in org.eclipse.mat.ui with parameters of type QueryDescriptor
Modifier and Type
Method
Description
`static void`
QueryExecution.`executeQuery(MultiPaneEditor editor, QueryDescriptor query)`
`Image`
MemoryAnalyserPlugin.`getImage(QueryDescriptor query)`
`ImageDescriptor`
MemoryAnalyserPlugin.`getImageDescriptor(QueryDescriptor query)`

## Uses of QueryDescriptor in org.eclipse.mat.ui.internal.actions

Constructors in org.eclipse.mat.ui.internal.actions with parameters of type QueryDescriptor
Modifier
Constructor
Description
``
`ExecuteQueryAction(MultiPaneEditor editor, QueryDescriptor descriptor)`

## Uses of QueryDescriptor in org.eclipse.mat.ui.internal.browser

Methods in org.eclipse.mat.ui.internal.browser that return QueryDescriptor
Modifier and Type
Method
Description
`QueryDescriptor`
QueryBrowserPopup.Element.`getQuery()`
Methods in org.eclipse.mat.ui.internal.browser with parameters of type QueryDescriptor
Modifier and Type
Method
Description
`boolean`
Policy.`accept(QueryDescriptor query)`
`void`
Policy.`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`
`static boolean`
QueryBrowserProvider.`unsuitableSubjects(QueryDescriptor query, IQueryContext queryContext)`

## Uses of QueryDescriptor in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util with parameters of type QueryDescriptor
Modifier and Type
Method
Description
`boolean`
IPolicy.`accept(QueryDescriptor query)`
`void`
IPolicy.`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`
`boolean`
QueryContextMenu.`unsuitableSubjects(QueryDescriptor query, List<IContextObject> menuContext)`
See if the menuContext cannot possibly satisfy the requirements of the query.
Constructors in org.eclipse.mat.ui.util with parameters of type QueryDescriptor
Modifier
Constructor
Description
``
`QueryAction(MultiPaneEditor editor, QueryDescriptor query, IPolicy policy)`